## libv8 2.2.18

=== debian/changelog ===
libv8 (2.2.18-1) unstable; urgency=low

  * New upstream release, followed the procedure of README.source to update. 
  * Drops 0005-constraints-visibility.patch (applied upstream).

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 Jun 2010 00:06:53 +0200

libv8 (2.2.7-1) unstable; urgency=low

  * New upstream release, followed the procedure of README.source to update
  * debian/patches:
    + 0005-constraints-visibility.patch: export SetResourceConstraints to allow
      chromium to compile cleanly

 -- Antonio Radici <antonio@dyne.org>  Sun, 09 May 2010 21:29:33 +0100

libv8 (2.2.6-1) unstable; urgency=low

  [ Jérémy Lal ]
  * New upstream release, previous procedure followed.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Uses scons.mk from cdbs.

  [ Antonio Radici ]
  * debian/control: added Jérémy to the Uploaders
  * debian/patches: 
    + added mips64 to 0003-platform-detection-x86_64-and-mips.patch

 -- Antonio Radici <antonio@dyne.org>  Sat, 01 May 2010 20:04:11 +0100

libv8 (2.1.10-1) unstable; urgency=low

  * New upstream release
    + debian/rules: SONAME updated
    + debian/control: updated any reference to the old version
    + debian/patches/0001-enable_soname.patch: SONAME updated
    + debian/libv8-$VERSION.install renamed with the new version
  * debian/patches:
    + 0001-enable_soname.patch: slightly modified to use the right SONAME
    + 0004-add-the-install-target.patch: refreshed
  * debian/README.source: added a procedure to update to a new version
    once the correct version is imported

 -- Antonio Radici <antonio@dyne.org>  Sat, 27 Mar 2010 15:12:42 +0000

libv8 (2.1.6-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
    + package should now build clean with gcc-4.5 (Closes: 565030)
    + debian/rules: SONAME var updated
    + debian/libv8-2.0.3.install edited and renamed to libv8-2.1.6.install
    + debian/control: s/2.0.3/2.1.6/
  * debian/control: Standards-Version bumped to 3.8.4 (no changes required)
  * debian/patches:
    + refreshed all patches
    + x86_64_code.patch: changed to drop any reference to ia64 
      (it does not seem to build there)

  [ Jérémy Lal ]
  * debian/copyright: updated to reflect the missing files/dates
  * debian/patches:
    + new naming scheme which preserves the ordering
    + added mips to the x86_64_code.patch

 -- Antonio Radici <antonio@dyne.org>  Sun, 21 Mar 2010 10:58:49 +0000

libv8 (2.0.3-2) unstable; urgency=low

  * Modified the upstream soname (from libv8-2.0.3.so to libv8.so.2.0.3)
    + restored patches/enable_soname.patch
    + restore the link commands in debian/rules
  * Added a libv8-2.0.3.install so that the package is not empty anymore
    + (Closes: 560433)

 -- Antonio Radici <antonio@dyne.org>  Fri, 11 Dec 2009 20:33:23 +0000

libv8 (2.0.3-1) unstable; urgency=low

  * New upstream release
  * restored jsmin.py, now it is DFSG compliant
    + debian/copyright modified accordingly
    + debian/repack.sh not needed anymore
    + debian/patches: remove-jsmin.patch deleted
  * using the library's SONAME (2.0.3)
    + debian/control: libv8-0 renamed to libv8-2.0.3
    + debian/patches: deleted enable_soname.patch
    + debian/rules: adapted to support the upstream SONAME
    + debian/libv8-0.symbols: removed, we will not maintain the symbols file
  * debian/patches: all patches refreshed against the latest upstream
  * debian/patches/x86_64_code.patch: support for ia64

 -- Antonio Radici <antonio@dyne.org>  Mon, 07 Dec 2009 19:07:51 +0000

libv8 (1.3.11+dfsg-2) unstable; urgency=low

  * debian/patches:
    + armel-build.patch: adding march armv5t to build on armel (Closes: 8636294)
    + x86_64_code.patch: build 64 bit code on x86_64 (Closes: 548467, 550448)
  * debian/watch: excluded '..' from the versions (Closes: 550581)
  * debian/changelog: added DM-Upload-Allowed: yes

 -- Antonio Radici <antonio@dyne.org>  Sun, 11 Oct 2009 13:33:11 +0100

libv8 (1.3.11+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #497701)

 -- Antonio Radici <antonio@dyne.org>  Wed, 16 Sep 2009 23:01:31 +0100
