=== debian/control ===
Source: libv8
Priority: extra
Maintainer: Antonio Radici <antonio@dyne.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper (>= 7), pkg-config, scons, cdbs (>= 0.4.73)
Standards-Version: 3.8.4
Section: libs
Homepage: http://code.google.com/p/v8/
DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/libv8.git
Vcs-Git: git://git.debian.org/git/collab-maint/libv8.git

Package: libv8-dev
Section: libdevel
Architecture: i386 amd64 armel mips
Depends: libv8-2.2.18 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the V8 JavaScript Engine
 V8 is Google's open source, high performance JavaScript engine. It is written
 in C++ and is used in Google Chrome, Google's open source browser.
 .
 Install this package if you wish to develop your own programs using the
 V8 JavaScript Engine

Package: libv8-2.2.18
Architecture: i386 amd64 armel mips
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: V8 JavaScript Engine
 V8 is Google's open source, high performance JavaScript engine. It is written
 in C++ and is used in Google Chrome, Google's open source browser.
 .
 This package includes the dynamic library against which you can link your
 program.

Package: libv8-dbg
Section: debug
Architecture: i386 amd64 armel mips
Depends: libv8-2.2.18 (= ${binary:Version}), ${misc:Depends}
Description: Development symbols for the V8 JavaScript Engine
 V8 is Google's open source, high performance JavaScript engine. It is written
 in C++ and is used in Google Chrome, Google's open source browser.
 .
 This package provides the debugging symbols for the library.
