## libv8 2.2.24

=== debian/changelog ===
libv8 (2.2.24-6) unstable; urgency=low

  * CVE-2010-3412 (Closes: #597856)
    Race condition in the console implementation in Google Chrome before
    6.0.472.59 has unspecified impact and attack vectors.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 24 Sep 2010 11:44:57 +0200

libv8 (2.2.24-5) unstable; urgency=low

  * Standards-Version 3.9.1. Nothing had to be changed to comply.
  * Fix chromium-browser: priority optional, depends on libv8 which
    has priority extra. (Closes: #591148)
  * Compile with GCC_VERSION=44.
    With that option, v8 pass all tests, and setting a breakpoint
    in chromium inspector does not crash. (Closes: #584562)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Aug 2010 23:39:43 +0200

libv8 (2.2.24-4) unstable; urgency=low

  * Replace arch: mips with mipsel (on the three packages) 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 25 Jul 2010 09:49:03 +0200

libv8 (2.2.24-3) unstable; urgency=low

  * Replace arch: mips with mipsel, because only little endian is supported. 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 24 Jul 2010 13:43:28 +0200

libv8 (2.2.24-2) unstable; urgency=low

  * Upstream patch : fix for...in loops for strings.
    http://codereview.chromium.org/3037008 

 -- Jérémy Lal <kapouer@melix.org>  Mon, 19 Jul 2010 14:55:22 +0200

libv8 (2.2.24-1) unstable; urgency=low

  * New upstream release, followed the procedure of README.source to update.
  * Standards-Version 3.9.0
  * Build for armv4 instead of armv5, fix ARMV5 detection. (Closes: #589057)
  * Include v8-profiler.h in libv8-dev. (Closes: #589584)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 14 Jul 2010 18:56:09 +0200
