=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DEBIAN_UPSTREAM_BRANCH	:= $(shell echo $(DEBIAN_UPSTREAM_VERSION) | sed 's/^\([^\.]*\.[^.+~]*\).*$$/\1/')
 DEBIAN_REVISION		:= $(shell echo $(DEBIAN_VERSION) | sed 's/^.*r\([^-]*\).*/\1/')
 
-SONAME			:= 2.2.18
+SONAME			:= 2.2.24
 
 SRC_DIR			:= $(CURDIR)
 DEB_BUILDDIR		:= $(SRC_DIR)
@@ -26,6 +26,8 @@
 CFLAGS += -fno-strict-aliasing
 export CFLAGS
 export CXXFLAGS
+# this is needed to avoid buggy behavior when compiled with gcc 44
+export GCC_VERSION=44
 
 DEB_SCONS_OPTIONS          := library=shared soname=on shlibtype=hidden
 DEB_SCONS_INSTALL_OPTIONS  := $(DEB_SCONS_OPTIONS) DESTDIR=$(DEB_DESTDIR)
