=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# unfortunately there is no way we can download from an
# SVN tag but the watch file will still useful to find
# new versions
opts="dversionmangle=s/\+dfsg//" \
http://v8.googlecode.com/svn/tags/ ([^.][\d.]+)/
