=== debian/changelog ===
libv8 (2.5.9.9-2) unstable; urgency=low

  * Include v8stdint.h in libv8-dev. 

 -- Jérémy Lal <kapouer@melix.org>  Thu, 20 Jan 2011 23:26:46 +0100

libv8 (2.5.9.9-1) unstable; urgency=low

  * New upstream release.
    followed the procedure of README.source to update.
  * Fix FTBFS on armel. (Closes: #599713)
  * No longer flag march=armv4t, it's the default debian armel target.
    (Closes: #596997)
  * Fix typo in libv8-dbg short description. (Closes: #601855)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 06 Jan 2011 18:02:20 +0100

libv8 (2.4.7-2) experimental; urgency=low

  * Fix FTBFS on armel with -Wno-psabi. For more info :
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42748
  * Fix FTBFS on mipsel, just remove it, it is not supported upstream,
    and anyway it won't compile in the 2.2 or 2.3 branches.
  * Respect policy 4.9.1 for DEB_BUILD_OPTIONS nocheck and parallel.
  * Remove unused code from debian/rules.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 09 Oct 2010 21:26:14 +0200

libv8 (2.4.7-1) experimental; urgency=low

  * New upstream release, followed the procedure of README.source to update.
  * Removed patch issue3037008_6001.diff, applied upstream.
  * Removed part of 0002-armel-build.patch, applied upstream.
  * Target for amd64 is x64, not ia32.
  * Remove GCC_VERSION=44, no longer needed.
  * Runs cctest and mjsunit tests after build.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 02 Oct 2010 12:01:53 +0200
