=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: libv8-dev
 Section: libdevel
-Architecture: i386 amd64 armel mipsel
-Depends: libv8-2.2.24 (= ${binary:Version}), ${misc:Depends}
+Architecture: i386 amd64 armel
+Depends: libv8-2.5.9.9 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for the V8 JavaScript Engine
  V8 is Google's open source, high performance JavaScript engine. It is written
  in C++ and is used in Google Chrome, Google's open source browser.
@@ -21,8 +21,8 @@
  Install this package if you wish to develop your own programs using the
  V8 JavaScript Engine
 
-Package: libv8-2.2.24
-Architecture: i386 amd64 armel mipsel
+Package: libv8-2.5.9.9
+Architecture: i386 amd64 armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: V8 JavaScript Engine
  V8 is Google's open source, high performance JavaScript engine. It is written
@@ -34,9 +34,9 @@
 Package: libv8-dbg
 Priority: extra
 Section: debug
-Architecture: i386 amd64 armel mipsel
-Depends: libv8-2.2.24 (= ${binary:Version}), ${misc:Depends}
-Description: Development symbols for the V8 JavaScript Engine
+Architecture: i386 amd64 armel
+Depends: libv8-2.5.9.9 (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for the V8 JavaScript Engine
  V8 is Google's open source, high performance JavaScript engine. It is written
  in C++ and is used in Google Chrome, Google's open source browser.
  .
